'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');
var InterfaceImplementationMissingError = require('./errors/InterfaceImplementationMissingError.cjs');

class NullRpc {
  constructor() {
    _rollupPluginBabelHelpers.defineProperty(this, "error", new InterfaceImplementationMissingError.InterfaceImplementationMissingError('RpcInterface', 'rpc'));
  }
  getEndpoint() {
    throw this.error;
  }
  getCluster() {
    throw this.error;
  }
  getAccount() {
    throw this.error;
  }
  getAccounts() {
    throw this.error;
  }
  getProgramAccounts() {
    throw this.error;
  }
  getBalance() {
    throw this.error;
  }
  getRent() {
    throw this.error;
  }
  getLatestBlockhash() {
    throw this.error;
  }
  getTransaction() {
    throw this.error;
  }
  accountExists() {
    throw this.error;
  }
  airdrop() {
    throw this.error;
  }
  call() {
    throw this.error;
  }
  sendTransaction() {
    throw this.error;
  }
  confirmTransaction() {
    throw this.error;
  }
}

exports.NullRpc = NullRpc;
//# sourceMappingURL=RpcInterface.cjs.map
