import { defineProperty as _defineProperty } from './_virtual/_rollupPluginBabelHelpers.mjs';
import { InterfaceImplementationMissingError } from './errors/InterfaceImplementationMissingError.mjs';

class NullRpc {
  constructor() {
    _defineProperty(this, "error", new InterfaceImplementationMissingError('RpcInterface', 'rpc'));
  }
  getEndpoint() {
    throw this.error;
  }
  getCluster() {
    throw this.error;
  }
  getAccount() {
    throw this.error;
  }
  getAccounts() {
    throw this.error;
  }
  getProgramAccounts() {
    throw this.error;
  }
  getBalance() {
    throw this.error;
  }
  getRent() {
    throw this.error;
  }
  getLatestBlockhash() {
    throw this.error;
  }
  getTransaction() {
    throw this.error;
  }
  accountExists() {
    throw this.error;
  }
  airdrop() {
    throw this.error;
  }
  call() {
    throw this.error;
  }
  sendTransaction() {
    throw this.error;
  }
  confirmTransaction() {
    throw this.error;
  }
}

export { NullRpc };
//# sourceMappingURL=RpcInterface.mjs.map
